# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{wirb}
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jan Lelis"]
  s.date = %q{2012-03-18}
  s.description = %q{Wavy IRB: Colorizes irb results. It originated from Wirble, but only provides result highlighting. Just call Wirb.start and enjoy the colors in your IRB ;). You can use it with your favorite colorizer engine. See README.rdoc for more details.}
  s.email = %q{mail@janlelis.de}
  s.extra_rdoc_files = ["README.rdoc", "COPYING.txt"]
  s.files = ["lib/wirb/version.rb", "lib/wirb/wp.rb", "lib/wirb/colorizer.rb", "lib/wirb/colorizer/wirb0_paint.rb", "lib/wirb/colorizer/wirble.rb", "lib/wirb/colorizer/wirb0.rb", "lib/wirb/colorizer/highline.rb", "lib/wirb/colorizer/paint.rb", "lib/wirb/colorizer/wirb0_highline.rb", "lib/wirb/tokenizer.rb", "lib/wirb/irb.rb", "lib/wirb.rb", "spec/spec_helper.rb", "spec/colorizer_highline_spec.rb", "spec/tokenizer_rails_spec.rb", "spec/tokenizer_enumerator_spec.rb", "spec/tokenizer_array_spec.rb", "spec/tokenizer_hash_spec.rb", "spec/colorizer_paint_spec.rb", "spec/tokenizer_misc_spec.rb", "spec/colorizer_wirb0_paint_spec.rb", "spec/colorizer_wirb0_spec.rb", "spec/tokenizer_object_spec.rb", "spec/colorizer_wirb0_highline_spec.rb", "spec/tokenizer_symbol_spec.rb", "spec/colorizer_spec.rb", "spec/tokenizer_string_spec.rb", "spec/tokenizer_rubyvm_spec.rb", "spec/tokenizer_rubygems_spec.rb", "spec/tokenizer_set_spec.rb", "spec/tokenizer_nested_spec.rb", "spec/tokenizer_number_spec.rb", "spec/tokenizer_regexp_spec.rb", "spec/colorizer_wirble_spec.rb", "spec/tokenizer_nil_false_true_spec.rb", "spec/tokenizer_time_spec.rb", "COPYING.txt", "CHANGELOG.rdoc", "README.rdoc", "data/wirb/classic_paint.yml", "data/wirb/colorless.yml", "data/wirb/classic_wirb0.yml", "Rakefile", "wirb.gemspec", ".gemtest"]
  s.homepage = %q{https://github.com/janlelis/wirb}
  s.licenses = ["MIT"]
  s.post_install_message = %q{       ┌── info ──────────────────────────┐
 J-_-L │ https://github.com/janlelis/wirb │
       ├── usage ─────────────────────────┤
       │ require 'wirb'                   │
 \      │ Wirb.start                       │
       └──────────────────────────────────┘}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Wavy IRB: Colorizes irb results.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rspec-core>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<zucker>, [">= 12.1"])
      s.add_development_dependency(%q<paint>, [">= 0"])
    else
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rspec-core>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<zucker>, [">= 12.1"])
      s.add_dependency(%q<paint>, [">= 0"])
    end
  else
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rspec-core>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<zucker>, [">= 12.1"])
    s.add_dependency(%q<paint>, [">= 0"])
  end
end
